# Interface for submodule: TimeProbe
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: TimeProbe
from ._proxies import TimeProbeProxy as _TimeProbeProxy
class _TimeProbeTemplate(_itkTemplate):
    """Interface for instantiating itk::TimeProbe"""

    def __new__(cls, *args: Any) -> _TimeProbeProxy:
        """Instantiate itk::TimeProbe"""
        ...

    def __call__(self, *args: Any) -> _TimeProbeProxy:
        """Instantiate itk::TimeProbe"""
        ...

TimeProbe = _TimeProbeTemplate

